System Requirements for WebSphere MQ for iSeries V5.3

Product documentation


Abstract

This document contains system requirements for WebSphere MQ for iSeries V5.3.

Content

Operating Systems
  • OS/400 V5R1
  • OS/400 V5R2
  • IBM i5/OS V5R3 - WebSphere MQ Fix Pack 08 (CSD08) or above is required for V5R3.
  • IBM i5/OS V5R4
Connectivity
  • OS/400 SNA
  • OS/400 TCP/IP
  • SSL
    • Supported Cryptographic Hardware
      • Operating system provides the cryptographic hardware support.
Databases
  • IBM DB2 V7.2
Compilers
  • Integrated Language Environment C for iSeries
  • Integrated Language Environment COBOL for iSeries
  • Integrated Language Environment RPG for iSeries
  • Integrated Language Environment C++ for iSeries
  • IBM VisualAge for C++ for iSeries
Java™
  • AS/400 Developer Kit for Java
  • JDK 1.4.0, WebSphere MQ CSD06
  • JDK 1.4.1, WebSphere MQ CSD06

IBM AS/400 Developer Kit for Java, with JDK 1.4 is required for SSL support using Java as it provides the necessary IBM JSSE classfiles.

Provided that the IBM AS/400 Developer Kit for Java, with JDK 1.3.1 plus the addition of IBM JSSE classfiles can be obtained as included within an alternate IBM product, this is also a suitable environment under which SSL support using Java can be run with the exception of certificate checking against Certificate Revocation Lists (CRLs) which requires full JDK implementation at V1.4.

On iSeries the JDK is an option on the Developer Kit for Java product.
Application Servers
  • BM WebSphere Application Server V5.1
  • BM WebSphere Application Server V6.0.2
  • IBM WebSphere Application Server V6.1 (see this page for more details)
Transaction Managers Where one of these transaction monitor products is acting as the transaction manager and IBM WebSphere MQ is acting as a resource manager, it is recommended that you contact the transaction monitor vendor in the first instance for support.

Extended Transactional Clients are not available on WebSphere MQ for iSeries, V5.3.
DCE
  • IBM CICS/400

Notes:

  1. Where patches for a product are specified, this means that these patches were required to resolve problems found during testing and should therefore be considered as the minimum necessary maintenance level. Further maintenance should be applied in accordance with the guidance of the relevant software manufacturer.
  2. The Japanese version of WebSphere MQ for AS/400 changed from CCSID 5026 to 5035 between Version 4 and Version 5.x. This was to support some panels and lower case directory names in the IFS file system correctly.


Change History
Last updated: 22 May 2006
  • 2 December 2005: Modifications to the format.
  • 22 May 2006: Support for IBM i5/OS V5R4.
  • 22 November 2007: Added support for IBM WebSphere Application Server V6.1.
  • 21 Feb 2012: Updating revision date.
  • 18 Feb 2014: Updating revision date to keep live.

Related information

All WebSphere MQ System requirements
WebSphere MQ Recommended Updates
WebSphere MQ Library

Original publication date

2005/6/30

Product Alias/Synonym

WMQ MQ

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere MQ
Documentation

Software version:

5.3

Operating system(s):

iSeries

Reference #:

7006288

Modified date:

2007-03-26

Translate my page

Machine Translation

Content navigation